Bug 1385684 - Cannot install from local hard disk using Fedora Workstation live ISO
Summary: Cannot install from local hard disk using Fedora Workstation live ISO
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: RejectedBlocker
Depends On:
Blocks: F25FinalBlocker
TreeView+ depends on / blocked
 
Reported: 2016-10-17 13:37 UTC by Hedayat Vatankhah
Modified: 2019-08-13 19:24 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)
anaconda.log (58.79 KB, text/plain)
2016-10-17 19:31 UTC, Hedayat Vatankhah
no flags Details
program.log (114.99 KB, text/plain)
2016-10-17 19:32 UTC, Hedayat Vatankhah
no flags Details
storage.log (223.09 KB, text/plain)
2016-10-17 19:36 UTC, Hedayat Vatankhah
no flags Details

Description Hedayat Vatankhah 2016-10-17 13:37:12 UTC
Description of problem:
I have a separate /home partition, which stores F25 Beta Workstation ISO. As usual, I try to install F25 from ISO image directly from HDD. It has worked for me for previous releases. 

In the installer, I configure a partition to be used as F25 root partition (e.g./dev/sda6). My /home partition is /dev/sda5, which I DON'T select it to be used by the installer (I don't give it any mount point). 

But when I press 'Done' in storage configuration window, it says that the installation cannot proceed because /dev/sda4 (which is the extended partition!) and /dev/sda5 (my /home which stores F25 ISO image) are already mounted. 

/dev/sda4 is certainly not mounted because it is an extended partition (but it is marked as Busy in blivet logs), /dev/sda5 is mounted since it contains F25 Live ISO, which the live image is booted from. But since I want to install to /dev/sda6, it should work fine (and as I said, I've used this method to install new Fedora version for years). 

Version-Release number of selected component (if applicable):
F25 Workstation Beta ISO

How reproducible:
100%

Actual results:
Cannot start installation

Expected results:
Should be able to install while /dev/sda5 is mounted

Comment 1 Fedora Blocker Bugs Application 2016-10-17 13:46:33 UTC
Proposed as a Blocker for 25-final by Fedora user hedayat using the blocker tracking app because:

 I think it violates this criteria:
Package and installer sources 

https://fedoraproject.org/wiki/QA:Testcase_install_repository_Live_Image 
says: ... Boot the Live.iso image using any available means, and I'm booting it using grub from HDD. I cannot install F25 Beta at all.

Comment 2 Chris Murphy 2016-10-17 15:57:41 UTC
Needs /tmp/*log files from the installation environment. In particular, anaconda.log, program.log, storage.log, attached as separate files. I tentatively agree it should be possible, if no partition changes are needed, i.e. just formatting /dev/sda6 in this case. And also it sounds like a regression.

Comment 3 Geoffrey Marr 2016-10-17 19:20:43 UTC
Discussed during the 2016-10-17 blocker review meeting: [1]

The decision to classify this bug as a "RejectedBlocker" was made as the criteria definition of 'supported media' (from Alpha) does not include direct booting the ISO from a hard disk, so we don't consider this scenario covered by the criteria.

[1] https://meetbot.fedoraproject.org/fedora-blocker-review/2016-10-17/f25-blocker-review.2016-10-17-16.02.txt

Comment 4 Hedayat Vatankhah 2016-10-17 19:31:26 UTC
Created attachment 1211515 [details]
anaconda.log

Comment 5 Hedayat Vatankhah 2016-10-17 19:32:38 UTC
Created attachment 1211516 [details]
program.log

Comment 6 Hedayat Vatankhah 2016-10-17 19:36:25 UTC
Created attachment 1211517 [details]
storage.log

Comment 7 Hedayat Vatankhah 2016-10-18 17:35:21 UTC
Note: the logs are for a different system. The target partition for F25 / partition is still /dev/sda6, but ISO partition is different.

I hope at least this can be fixed & included as a freeze exception.

Comment 8 Hedayat Vatankhah 2017-10-03 21:30:46 UTC
Still same in F27 (F26 was same, but fortunately! it allowed me to ignore the partitioning error and proceed with the installation!). Apparently, Anaconda tries to umount all partitions of the selected target device (or expects them to not be mounted). 

For example, I booted the ISO from /dev/sda2, and tried to install on /dev/sda6, and it told me that I should umount /dev/sda2 for the installation to proceed. :(

Comment 9 Ben Cotton 2019-05-02 19:22:20 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 10 Ben Cotton 2019-05-02 21:57:09 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 11 Ben Cotton 2019-08-13 16:53:02 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 12 Ben Cotton 2019-08-13 19:24:18 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.


Note You need to log in before you can comment on or make changes to this bug.